kind: PersistentVolume
apiVersion: v1
metadata:
  name: testPersistentVolume
spec:
  persistentVolumeReclaimPolicy:
    Retain
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteOnce
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: mysql001-1
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
data:
  MYSQL_ROOT_PASSWORD: d3Vyc3RzYWxhdA==
kind: Secret
metadata:
  name: mysql-secret
  namespace: default
type: Opaque
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dbserver-deployment
  labels:
    app: dbserver
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dbserver
  template:
    metadata:
      labels:
        app: dbserver
    spec:
      containers:
        - name: dbserver
          image: mariadb
          resources:
            requests:
              cpu: 200m
              memory: 400Mi
            limits:
              cpu: 400m
              memory: 800Mi
          ports:
            - containerPort: 3306
          env:
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mysql-secret
                  key: MYSQL_ROOT_PASSWORD
          volumeMounts:
            - mountPath: "/var/lib/mysql"
              name: mysqlstorage
      volumes:
        - name: mysqlstorage
          persistentVolumeClaim:
            claimName: mysql001-1
---

apiVersion: v1
kind: Service
metadata:
  name:  mysql-service
  labels:
    app: dbserver
spec:
  type: NodePort
  ports:
    - port: 3306
      targetPort: 3306
  selector:
    app: dbserver
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dbclient-deployment
  labels:
    app: dbclient
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dbclient
  template:
    metadata:
      labels:
        app: dbclient
    spec:
      containers:
        - name: dbclient
          image: adminer
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
            limits:
              cpu: 400m
              memory: 800Mi
          ports:
            - containerPort: 8080
---

apiVersion: v1
kind: Service
metadata:
  name: adminer-service
  labels:
    app: dbclient
spec:
  type: NodePort
  ports:
    - port: 8080
      targetPort: 8080
  selector:
    app: dbclient